Jump to content

Recommended Posts

Bonjour à tous,

Nouveau problème pour moi. J'ai un fichier dwg avec dedans des cercles et des textes. Rien de bien compliqué à priori.

Sauf que lorsque j'importe ces éléments dans un autre logiciel, les textes conservent leur position mais les cercles effectuent une symétrie par rapport à un axe vertical, comme un livre ouvert. :casstet:

J'ai regardé les coordonnées de ces cercles dans AutoCad, elles sont cohérentes avec celles des textes. Que puis-je regarder d'autre ? D'où peut venir ce "phénomène" ?

Merci de vos réponses.

 

Alain

Link to post
Share on other sites

Fais voir !

 

T'es sur que ce ne sont pas tes textes qui changent complètement de justification ?

 

Genre, dans ton logiciel il n'existe qu'une justification opposée à celle que tu asréglé dans AutoCAD ?

Parce que je vois mal des cercles bouger dans un autre logiciel (le code DXF est si simple et sans ambiguité).

http://www.abcad.fr/images/logo_courrier.png


Bureau d'études dessin.

Spécialiste Escaliers

Développement - Formation

 

./__\.

(.°=°.)
Link to post
Share on other sites

Bonjours,

 

Juste pour savoir.

 

Quand tu fais un liste d'un cercle, quel est le vecteur de la normale:

 

0,0,1 ou 0,0,-1 ?

 

Tes cercles ne sont pas transformés en bloc avec un point d'insertion sur un quadrant par exemple?

 

 

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

Erreur de ma part, ce ne sont pas des cercles mais des polylignes donc tout aussi simple.

 

http://zepload.com/images/1266047696_selection.jpg

 

Et pour le liste :

 

LWPOLYLINE Calque: "Point noir"

Espace: Espace objet

Couleur: 3 (vert) Type de ligne: "DUCALQUE"

Epaisseur de ligne : 0.00 mm

Maintien = 1F97E

Fermée

Epaisseur constante 9.909

Direction d'extrusion relative au SCU:

X= 0.000 Y= 0.000 Z= -1.000

zone 4613.403

périmètre 240.777

 

au point X=-1402.620 Y= 1107.782 Z= 0.000

courbure 1.000

centre X=-1365.573 Y= 1097.984 Z= 0.000

rayon 38.321

angle de départ 14.81

angle final 194.81

au point X=-1328.526 Y= 1088.187 Z= 0.000

courbure 1.000

centre X=-1365.573 Y= 1097.984 Z= 0.000

rayon 38.321

Link to post
Share on other sites

Bonjour à toutes et tous,

 

Donc c'est bonuscad qui t'apporte la bonne réponse => normale =>

 

Direction d'extrusion relative au SCU:

X= 0.000 Y= 0.000 Z= -1.000

 

Ce sont également des polylignes construites avec la commande de dessin "Anneau" (Pour autoCAD du moins,...)

Civil 3D 2022 - COVADIS_17.1d

https://www.linkedin...3%ABt-95313341/

Link to post
Share on other sites

Un truc qui me surprend dans ton image.

 

Les grips (sur les quadrants de l'arc de polyligne) sont orientés du manière non orthogonale.

Est tu dans le SCG (on voit pas l'icône complétement)?

 

Est la normale Z de la polyligne est bien à -1 (comme un mirroir3D, ou si ta polyligne était vue de dessous)

 

Je pense que ton problème vient bien de là.

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

Sans routine, il y a la solution de la commande MIRROIR3D.

 

Prendre l'option "Objet" et Supprimer les objets source. Obliger de sélectionner un à un...

 

Ces options sont elles valables sous une version 2002 ? Je ne me rappelle plus! :(

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

Salut,

 

Si c'est bien ce que dit bonuscad, tu peux essayer ce petit LISP qui remet la normale des polylignes à 0, 0, 1 si elle était à 0,0,-1 sans changer leur position.

 

(defun c:test (/ n ss pl elst)
 (if (setq n  -1
    ss (ssget '((0 . "LWPOLYLINE")))
     )
   (while (setq pl (ssname ss (setq n (1+ n))))
     (setq elst (entget pl))
     (if (equal '(210 0. 0. -1) (assoc 210 elst) 1e-9)
(entmod
  (mapcar '(lambda (x)
	     (cond
	       ((= (car x) 10)
		(cons 10 (trans (cdr x) 0 '(0. 0. -1.)))
	       )
	       ((= (car x) 210) '(210 0. 0. 1.))
	       (x)
	     )
	   )
	  elst
  )
)
     )
   )
 )
 (princ)
)

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Link to post
Share on other sites

Salut gilles,

 

Toujours aussi rapide, même pas eu le temps de me pencher sur la création du code.

 

En tout cas merci, cela m'évite d'écrire le code.

 

T'aurais pu inclure le (210 0.0 0.0 -1.0) dans le filtre, cela t'aurais éviter de tester et aurait réduit la sélection. Mais on peut laisser le soin à l'interieur de s'y pencher! ;)

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

souvent ça n'est pas exactement 0,0,-1

 

Tu n'as pas tort, suivant la méthode utilisée pour que ces entités se retrouve avec un vecteur négatif... depuis le SCU du dessous standard, pas problème, mais avec Mirror3D cela est souvent vrai.

 

un filtre plus sophistiqué...

 

il faudra que je m'intéresse à ceci, ça peut être utile de réduire un jeu de sélection dans un dessin assez lourd.

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...